.TextInput {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    height: 40px;
    padding-left: 10px;
    padding-top: 6px;
    margin: 10px;
    background-color: #fff;
    font-size: 1.25em;
    border-radius: 1rem;
    box-shadow:	0 0.125rem 0.5rem rgba(0, 0, 0, .3), 0 0.0625rem 0.125rem rgba(0, 0, 0, .2);
}

.TextInput::before {
	content: '';
	position: absolute;
	width: 0;
	height: 0;
	bottom: 100%;
	left: 1.5em;
	border: .75rem solid transparent;
	border-top: none;
	border-bottom-color: #fff;
	filter: drop-shadow(0 -0.0625rem 0.0625rem rgba(0, 0, 0, .1));
}


.TextInput_p {
    margin: 0;
    font-size: 12px;
}

.TextInput span {
    opacity: 0;
}

input {
    outline: none;
    border: none;
}

input:focus {
    outline: none;
    border: none;
}

.TextInput input {
    width: 75%;
    font-size: 10px;
}

.TextInput span.revealed {
    opacity: 1;
}

.TextInput_button {
    margin: 0;
    font-size: 9px;
    padding: 0;
    background: none;
    border: 0;
    font-family: inherit;
    cursor: pointer;
    position: relative;
    right: 2px;
    bottom: 0;
    padding-left: 5px;
}

.TextInput_button_div {
    position: absolute;
    display: inline-block;
    right: 6px;
    bottom: 3px;
}